﻿using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Seed;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API.Data.Contexts;

public class LeedsBeerQuestDbContext : DbContext
{
    public LeedsBeerQuestDbContext(DbContextOptions<LeedsBeerQuestDbContext> options) : base(options)
    {
    }
    
    public DbSet<Venue> Venues { get; set; }
    
    // Don't need to define these, but explicitly adding them makes them a little more discoverable.
    public DbSet<Category> Categories { get; set; }
    public DbSet<Tag> Tags { get; set; }
}