using System.ComponentModel.DataAnnotations;

namespace LeedsBeerQuest.API.Data.Models;

public class Venue
{
    [Key]
    public int Id { get; set; }
    public string Name { get; set; }
    public int CategoryId { get; set; }
    public Category Category { get; set; }
    public string Url { get; set; }
    public DateTime DateAttended { get; set; }
    public string Excerpt { get; set; }
    public string Thumbnail { get; set; }
    public decimal Latitude { get; set; }
    public decimal Longitude { get; set; }
    public string Address { get; set; }
    public string? Phone { get; set; }
    public string? Twitter { get; set; }
    public decimal StarsBeer { get; set; }
    public decimal StarsAtmosphere { get; set; }
    public decimal StarsAmenities { get; set; }
    public decimal StarsValue { get; set; }
    public ICollection<Tag> Tags { get; set; }
}