using System;
using System.Collections.Generic;
using LeedsBeerQuest.API.Data.Models;

namespace LeedsBeerQuest.API.Tests.Data.Services;

public static class TestData
{
    public static IEnumerable<Venue> VenueTestData = new[]
    {
        new Venue
        {
            Id = 1,
            Name = "Venue 1",
            CategoryId = 1,
            Category = new Category
                {
                    Id = 1,
                    Name = "Category 1"
                },
            Url = "Venue URL",
            DateAttended = new DateTime(),
            Excerpt = "Venue Excerpt",
            Thumbnail = "Venue Thumbnail",
            Latitude = 1.23456m,
            Longitude = -4.27384m,
            Address = "Venue 1 Address",
            Phone = "07777777777",
            Twitter = "Venue Twitter",
            StarsBeer = 1.5m,
            StarsAtmosphere = 3,
            StarsAmenities = 4.5m,
            StarsValue = 4,
            Tags = new List<Tag>()
        }
    };
}